## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 16
%bcond_without check
%global __cargo_skip_build 0

%global crate sequoia-keyring-linter

Name:           rust-%{crate}
Version:        0.5.0
Release:        %autorelease
Summary:        Linter for keyrings

# Upstream license specification: GPL-2.0-or-later
# https://gitlab.com/sequoia-pgp/keyring-linter/-/issues/8
License:        GPLv2+
URL:            https://crates.io/crates/sequoia-keyring-linter
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Initial patched metadata
# * exclude files that are only useful for upstream development
# * prevent manpages from getting installed twice
# * Bump assert_cmd to 2.0.0
Patch0:         sequoia-keyring-linter-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Linter for keyrings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or MIT
# BSD
# CC0
# GPLv2+
# LGPLv2+
# LGPLv3 or GPLv2 or GPLv3
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        GPLv2+ and ASL 2.0 and BSD and CC0 and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq-keyring-linter
%{_mandir}/man1/sq-keyring-linter*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav sq-keyring-linter.1 %{buildroot}/%{_mandir}/man1/

%if %{with check}
%check
%ifarch %{ix86} %{arm}
# integer overflow in test suite on 32-bit architectures:
# https://gitlab.com/sequoia-pgp/keyring-linter/-/issues/9
%cargo_test -- -- --skip integration::subkey_backsig
%else
%cargo_test
%endif
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> 0.5.0-8
- Rebuild with sequoia-openpgp 1.8.0

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.5.0-7
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.5.0-5
- Bump assert_cmd to 2.0.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Temporarily ignore integer overflow in test suite on 32-bit architectures.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial package

